### Class

# FwupdPlugin EfiVariableAuthentication2

#### Description [src]

    final class FwupdPlugin.EfiVariableAuthentication2 : FwupdPlugin.EfiSignatureList
    {
      /* No available fields */
    }

A UEFI signature list typically found in the `KEKUpdate.bin` and `DBXUpdate.bin` files.

See also: `FuFirmware`.

#### Hierarchy

#### Ancestors

- FuEfiSignatureList
- FuFirmware
- GObject

#### Instance methods

###### fu_efi_variable_authentication2_get_signers

Returns the certificates that signed the variable.

since: 2.0.9

##### Methods inherited from FuEfiSignatureList (1)

###### fu_efi_signature_list_get_newest

Gets the deduplicated list of the newest EFI_SIGNATURE_LIST entries.

since: 2.0.8

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginEfiVariableAuthentication2Class {
      FuEfiSignatureListClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuEfiSignatureListClass`

  No description available.